Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
event::DataPushService Interface Reference

Data push service configuration interface. More...

## Classes
struct | EntryAddedEvent
| Event: A new push destination has been added. More...
struct | EntryDeletedEvent
| Event: A configured push destination has been deleted. More...
struct | EntryModifiedEvent
| Event: A configured push destination has been modified. More...
struct | EntrySettings
| Data Push Entry Settings. More...
struct | EntryStatus
| Data Push Entry Status. More...
struct | EntryStatusChangedEvent
| Event: The status of a configured push destination has changed. More...

## Public Types
enum | EntryType { SENSORLIST , SENSORLOG , AMSLIST , AMSLOG , AUDITLOG }
| Data Push Entry Types. More...

## Public Member Functions
int | addEntry (out int entryId, in EntrySettings entrySettings)
| Add a new entry. More...
int | modifyEntry (in int entryId, in EntrySettings entrySettings)
| Modify an existing entry. More...
int | deleteEntry (in int entryId)
| Delete an entry. More...
int | getEntry (out EntrySettings entrySettings, in int entryId)
| Retrieve an entry. More...
map< int, EntrySettings > | listEntries ()
| Retrieve a list of entries. More...
int | pushData (in int entryId)
| Push data for one specified entry. More...
void | cancelDataPush (in int entryId)
| Cancels an active data push. More...
int | getEntryStatus (out EntryStatus entryStatus, in int entryId)
| Retrieve an entry's status. More...

## Public Attributes
constant int | ERR_NO_SUCH_ID = 1
| Error codes. More...
constant int | ERR_INVALID_PARAMS = 2
| Invalid parameters.
constant int | ERR_MAX_ENTRIES_REACHED = 3
| Maximum number of entries reached.

## Detailed Description

Data push service configuration interface.

## Member Enumeration Documentation

## ◆ EntryType

enum event::DataPushService::EntryType

Data Push Entry Types.

Enumerator
SENSORLIST | Sensor values for a set of sensors.
SENSORLOG | Sensor log.
AMSLIST | Asset Management information for a set of AMS strips.
AMSLOG | Asset Management log.
AUDITLOG | Audit log.

## Member Function Documentation

## ◆ addEntry()

int event::DataPushService::addEntry | ( | out int | entryId,
|  | in EntrySettings | entrySettings
| ) |  |

Add a new entry.

Parameters

  entryId | Result: New entry id, automatically assigned
  entrySettings | New Model Push Entry settings

Returns
  0 if OK
  2 if the settings are invalid
  3 if the maximum number of entries is reached

## ◆ cancelDataPush()

void event::DataPushService::cancelDataPush | ( | in int | entryId | ) |

Cancels an active data push.

If a data push is currently in process for the specified entry, that push is canceled. If no push is in process, this method is a no-op.

Parameters

  entryId | Entry id

## ◆ deleteEntry()

int event::DataPushService::deleteEntry | ( | in int | entryId | ) |

Delete an entry.

Parameters

  entryid | Entry id

Returns
  0 if OK
  1 if the entry does not exist

## ◆ getEntry()

int event::DataPushService::getEntry | ( | out EntrySettings | entrySettings,
|  | in int | entryId
| ) |  |

Retrieve an entry.

Parameters

  entrySettings | Result: Model Push Entry settings
  entryId | Entry id

Returns
  0 if OK
  1 if the entry does not exist

## ◆ getEntryStatus()

int event::DataPushService::getEntryStatus | ( | out EntryStatus | entryStatus,
|  | in int | entryId
| ) |  |

Retrieve an entry's status.

Parameters

  entryStatus | Result: Entry status
  entryId | Entry id

Returns
  0 if OK
  1 if the entry does not exist

## ◆ listEntries()

map< int, EntrySettings > event::DataPushService::listEntries | ( |  | ) |

Retrieve a list of entries.

Returns
  List of Entry Settings

## ◆ modifyEntry()

int event::DataPushService::modifyEntry | ( | in int | entryId,
|  | in EntrySettings | entrySettings
| ) |  |

Modify an existing entry.

Parameters

  entryId | Entry id
  entrySettings | New Model Push Entry settings

Returns
  0 if OK
  1 if the entry does not exist
  2 if the settings are invalid

## ◆ pushData()

int event::DataPushService::pushData | ( | in int | entryId | ) |

Push data for one specified entry.

Parameters

  entryId | Entry id

Returns
  0 if OK
  1 if entry does not exist

## Member Data Documentation

## ◆ ERR_NO_SUCH_ID

constant int event::DataPushService::ERR_NO_SUCH_ID = 1

Error codes.

No such ID

The documentation for this interface was generated from the following file:

- DataPushService.idl